# This file is part of the Gudhi Library - https://gudhi.inria.fr/ - which is released under MIT.
#  See file LICENSE or go to https://gudhi.inria.fr/licensing/ for full license details.
#  Author(s):       Vincent Rouvreau
#
# Copyright (C) 2016  Inria
#
# Modification(s):
#   - YYYY/MM Author: Description of the modification

from importlib import import_module

__author__ = "GUDHI Editorial Board"
__copyright__ = "Copyright (C) 2016 Inria"
__license__ = "https://gudhi.inria.fr/licensing/"
__version__ = "3.11.0"
# This variable is used by doctest to find files
__root_source_dir__ = "/build/gudhi-KM2b0V/gudhi-3.11.0+dfsg/build-py3.13/userversion"
__debug_info__ =     "Python version 3.13.3\n" \
    "Pybind11 version 2.13.6 \n" \
    "Cython version 3.0.11 \n" \
    "Numpy version 2.2.4 \n" \
    "Pytest version 8.3.5 \n" \
    "Matplotlib version 3.8.3 \n" \
    "Scipy version 1.14.1 \n" \
    "Scikit-learn version 1.4.2 \n" \
    "POT version 0.9.5 \n" \
    "EagerPy version 0.30.0 \n" \
    "Eigen3 version 3.4.0\n" \
    "Boost version 1.83.0\n" \
    "CGAL header only version 6.0.1\n" \
    "GMP_LIBRARIES = /usr/lib/riscv64-linux-gnu/libgmp.so\n" \
    "GMPXX_LIBRARIES = /usr/lib/riscv64-linux-gnu/libgmpxx.so\n" \
    "MPFR_LIBRARIES = /usr/lib/riscv64-linux-gnu/libmpfr.so\n" \
    "TBB version 2022.0.0 found and used\n" \
    "TBB_LIBRARY = /usr/lib/riscv64-linux-gnu/libtbb.so.12.14\n" \
    "TBB_MALLOC_LIBRARY = /usr/lib/riscv64-linux-gnu/libtbbmalloc.so.2.14\n" \


__all__ = ['bottleneck', 'off_utils', 'simplex_tree', 'rips_complex', 'cubical_complex', 'periodic_cubical_complex', 'persistence_graphical_tools', 'reader_utils', 'witness_complex', 'strong_witness_complex', 'nerve_gic', 'subsampling', 'tangential_complex', 'delaunay_complex', 'euclidean_witness_complex', 'euclidean_strong_witness_complex',  'hera', 'clustering', 'datasets', 'representations', 'sklearn', 'tensorflow', 'wasserstein', 'point_cloud', 'weighted_rips_complex', 'dtm_rips_complex', 'cover_complex', 'flag_filtration', ]

__available_modules = ''
__missing_modules = ''

# Try to import * from gudhi.__module_name for default modules.
# Extra modules require an explicit import by the user (mostly because of
# unusual dependencies, but also to avoid cluttering namespace gudhi and
# speed up the basic import)
for __module_name in ['bottleneck', 'off_utils', 'simplex_tree', 'rips_complex', 'cubical_complex', 'periodic_cubical_complex', 'persistence_graphical_tools', 'reader_utils', 'witness_complex', 'strong_witness_complex', 'nerve_gic', 'subsampling', 'tangential_complex', 'delaunay_complex', 'euclidean_witness_complex', 'euclidean_strong_witness_complex', ]:
    try:
        __module = import_module('gudhi.' + __module_name)
        try:
            __to_import = __module.__all__
        except AttributeError:
            __to_import = [name for name in __module.__dict__ if not name.startswith('_')]
        globals().update({name: __module.__dict__[name] for name in __to_import})
        __available_modules += __module_name + ";"
    except:
        __missing_modules += __module_name + ";"
